id: github-phish

info:
  name: github phishing Detection
  author: rxerium
  severity: info
  description: |
    A github phishing website was detected
  reference:
    - https://github.com
  metadata:
    max-request: 1
  tags: phishing,github,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Sign in to GitHub · GitHub'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"github.com")'
# digest: 4a0a00473045022100d28fdab5e69ae11ffbc81443993c04a2b48cfd21382a915a58cdd4814e184d6302204f28154f626d210fb6bdf3b2517e07efca124442aff23a7faa08fef94641f0f3:922c64590222798bb761d5b6d8e72950